Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata
Class ListenerMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
          org.jboss.portal.portlet.impl.metadata.ListenerMetaData

    public class ListenerMetaData

extends DescribableMetaData

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`ListenerMetaData()`
`ListenerMetaData(java.lang.String id)`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getId()`
`java.lang.String` | `getListenerClass()`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)`
`void` | `setId(java.lang.String id)`
`void` | `setListenerClass(java.lang.String listenerClass)`

Methods inherited from class org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenerMetaData

    public ListenerMetaData()

### ListenerMetaData

    public ListenerMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)

### getListenerClass

    public java.lang.String getListenerClass()

### setListenerClass

    public void setListenerClass(java.lang.String listenerClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.